Рекомендация Debian по безопасности

DSA-3009-1 python-imaging -- обновление безопасности

Дата сообщения:
21.08.2014
Затронутые пакеты:
python-imaging
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2014-3589.
Более подробная информация:

Эндрю Дрэйк обнаружил, что отсутствие очистки ввода в декодере icns из библиотеки Python Imaging Library может приводить к отказу в обслуживании в случае обработки некорректного изображения.

В стабильном выпуске (wheezy) эта проблема была исправлена в версии 1.1.7-4+deb7u1.

В нестабильном выпуске (sid) эта проблема была исправлена в версии 2.5.3-1 пакета с исходным кодом pillow.

Рекомендуется обновить пакеты python-imaging.